// this example is public domain. enjoy!
// www.ladyada.net/learn/sensors/thermocouple

#include <max6675.h>
#include <Wire.h>

int SO = 4;
int SC = 5;
int CS = 6;

MAX6675 thermocouple(SC, CS, SO);
// make a cute degree symbol
uint8_t degree[8]  = {140,146,146,140,128,128,128,128};
void setup() {
  Serial.begin(9600);
 // lcd.begin(16, 2);
 // lcd.createChar(0, degree);

  // wait for MAX chip to stabilize
  delay(500);
 // lcd.setBacklight(HIGH);
}

void loop() {
  // basic readout test, just print the current temp
 // lcd.clear();
Serial.print("MAX6675 test");
  
  // go to line #1
Serial.print(thermocouple.readCelsius());
#if ARDUINO >= 100
  Serial.write((byte)0);
#else
  Serial.print(0, BYTE);
#endif
  Serial.print("C ");
  Serial.print(thermocouple.readFahrenheit());
#if ARDUINO >= 100
  Serial.write((byte)0);
#else
 Serial.print(0, BYTE);
#endif
  Serial.print('F');
  
  delay(1000);
}
